Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.qd3d
Interface QD3DConstants

public interface QD3DConstants

This class represents all of the constants in the QuickDraw3D interface.

Field Summary
`static int` | `gestaltQD3DViewer` Gestalt flags to see if the QT3DViewer is present
`static int` | `gestaltQD3DViewerAvailable` Gestalt flags to see if the QT3DViewer is present
`static int` | `gestaltQD3DViewerNotPresent` Gestalt flags to see if the QT3DViewer is present
`static int` | `kQ3AxisX`
`static int` | `kQ3AxisY`
`static int` | `kQ3AxisZ`
`static int` | `kQ3ViewerActive` define the viewer flags
`static int` | `kQ3ViewerButtonCamera` define the viewer flags
`static int` | `kQ3ViewerButtonDolly` define the viewer flags
`static int` | `kQ3ViewerButtonOrbit` define the viewer flags
`static int` | `kQ3ViewerButtonReset` define the viewer flags
`static int` | `kQ3ViewerButtonTruck` define the viewer flags
`static int` | `kQ3ViewerButtonZoom` define the viewer flags
`static int` | `kQ3ViewerCameraBack` define the settings for the camera popup
`static int` | `kQ3ViewerCameraBottom` define the settings for the camera popup
`static int` | `kQ3ViewerCameraFit` define the settings for the camera popup
`static int` | `kQ3ViewerCameraFront` define the settings for the camera popup
`static int` | `kQ3ViewerCameraLeft` define the settings for the camera popup
`static int` | `kQ3ViewerCameraRestore` define the settings for the camera popup
`static int` | `kQ3ViewerCameraRight` define the settings for the camera popup
`static int` | `kQ3ViewerCameraTop` define the settings for the camera popup
`static int` | `kQ3ViewerControllerVisible` define the viewer flags
`static int` | `kQ3ViewerDefault` define the viewer flags
`static int` | `kQ3ViewerDraggingInOff` define the viewer flags
`static int` | `kQ3ViewerDraggingOff` define the viewer flags
`static int` | `kQ3ViewerDraggingOutOff` define the viewer flags
`static int` | `kQ3ViewerDragMode` define the viewer flags
`static int` | `kQ3ViewerDrawDragBorder` define the viewer flags
`static int` | `kQ3ViewerDrawFrame` define the viewer flags
`static int` | `kQ3ViewerDrawGrowBox` define the viewer flags
`static int` | `kQ3ViewerEmpty` define the viewer states
`static int` | `kQ3ViewerHasModel` define the viewer states
`static int` | `kQ3ViewerHasUndo` define the viewer states
`static int` | `kQ3ViewerOutputTextMode` define the viewer flags
`static int` | `kQ3ViewerShowBadge` define the viewer flags

Field Detail

### kQ3AxisX

    public static final int kQ3AxisX

### kQ3AxisY

    public static final int kQ3AxisY

### kQ3AxisZ

    public static final int kQ3AxisZ

### kQ3ViewerShowBadge

    public static final int kQ3ViewerShowBadge

  define the viewer flags

### kQ3ViewerActive

    public static final int kQ3ViewerActive

  define the viewer flags

### kQ3ViewerControllerVisible

    public static final int kQ3ViewerControllerVisible

  define the viewer flags

### kQ3ViewerDrawFrame

    public static final int kQ3ViewerDrawFrame

  define the viewer flags

### kQ3ViewerDraggingOff

    public static final int kQ3ViewerDraggingOff

  define the viewer flags

### kQ3ViewerButtonCamera

    public static final int kQ3ViewerButtonCamera

  define the viewer flags

### kQ3ViewerButtonTruck

    public static final int kQ3ViewerButtonTruck

  define the viewer flags

### kQ3ViewerButtonOrbit

    public static final int kQ3ViewerButtonOrbit

  define the viewer flags

### kQ3ViewerButtonZoom

    public static final int kQ3ViewerButtonZoom

  define the viewer flags

### kQ3ViewerButtonDolly

    public static final int kQ3ViewerButtonDolly

  define the viewer flags

### kQ3ViewerButtonReset

    public static final int kQ3ViewerButtonReset

  define the viewer flags

### kQ3ViewerOutputTextMode

    public static final int kQ3ViewerOutputTextMode

  define the viewer flags

### kQ3ViewerDragMode

    public static final int kQ3ViewerDragMode

  define the viewer flags

### kQ3ViewerDrawGrowBox

    public static final int kQ3ViewerDrawGrowBox

  define the viewer flags

### kQ3ViewerDrawDragBorder

    public static final int kQ3ViewerDrawDragBorder

  define the viewer flags

### kQ3ViewerDraggingInOff

    public static final int kQ3ViewerDraggingInOff

  define the viewer flags

### kQ3ViewerDraggingOutOff

    public static final int kQ3ViewerDraggingOutOff

  define the viewer flags

### kQ3ViewerDefault

    public static final int kQ3ViewerDefault

  define the viewer flags

### kQ3ViewerEmpty

    public static final int kQ3ViewerEmpty

  define the viewer states

### kQ3ViewerHasModel

    public static final int kQ3ViewerHasModel

  define the viewer states

### kQ3ViewerHasUndo

    public static final int kQ3ViewerHasUndo

  define the viewer states

### kQ3ViewerCameraRestore

    public static final int kQ3ViewerCameraRestore

  define the settings for the camera popup

### kQ3ViewerCameraFit

    public static final int kQ3ViewerCameraFit

  define the settings for the camera popup

### kQ3ViewerCameraFront

    public static final int kQ3ViewerCameraFront

  define the settings for the camera popup

### kQ3ViewerCameraBack

    public static final int kQ3ViewerCameraBack

  define the settings for the camera popup

### kQ3ViewerCameraLeft

    public static final int kQ3ViewerCameraLeft

  define the settings for the camera popup

### kQ3ViewerCameraRight

    public static final int kQ3ViewerCameraRight

  define the settings for the camera popup

### kQ3ViewerCameraTop

    public static final int kQ3ViewerCameraTop

  define the settings for the camera popup

### kQ3ViewerCameraBottom

    public static final int kQ3ViewerCameraBottom

  define the settings for the camera popup

### gestaltQD3DViewer

    public static final int gestaltQD3DViewer

  Gestalt flags to see if the QT3DViewer is present

### gestaltQD3DViewerNotPresent

    public static final int gestaltQD3DViewerNotPresent

  Gestalt flags to see if the QT3DViewer is present

### gestaltQD3DViewerAvailable

    public static final int gestaltQD3DViewerAvailable

  Gestalt flags to see if the QT3DViewer is present

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD